## bzr 2.0.2

=== Makefile ===
# Copyright (C) 2005, 2006, 2007, 2008, 2009 Canonical Ltd
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

# A relatively simple Makefile to assist in building parts of bzr. Mostly for
# building documentation, etc.


### Core Stuff ###

PYTHON=python
PYTHON24=python24
PYTHON25=python25
PYTHON26=python26
BZR_TARGET=release
PLUGIN_TARGET=plugin-release
PYTHON_BUILDFLAGS=

.PHONY: all clean extensions pyflakes api-docs check-nodocs check

all: extensions

extensions:
	@echo "building extension modules."
	$(PYTHON) setup.py build_ext -i $(PYTHON_BUILDFLAGS)

check: docs check-nodocs

check-nodocs: extensions
	$(PYTHON) -Werror -O ./bzr selftest -1v $(tests)
	@echo "Running all tests with no locale."
	LC_CTYPE= LANG=C LC_ALL= ./bzr selftest -1v $(tests) 2>&1 | sed -e 's/^/[ascii] /'

# Run Python style checker (apt-get install pyflakes)
#
# Note that at present this gives many false warnings, because it doesn't
# know about identifiers loaded through lazy_import.
pyflakes:
	pyflakes bzrlib

pyflakes-nounused:
	# There are many of these warnings at the moment and they're not a
	# high priority to fix
	pyflakes bzrlib | grep -v ' imported but unused'

clean:
	$(PYTHON) setup.py clean
	-find . -name "*.pyc" -o -name "*.pyo" -o -name "*.so" | xargs rm -f

# Build API documentation
docfiles = bzr bzrlib
api-docs:
	mkdir -p api/html
	PYTHONPATH=$(PWD) $(PYTHON) tools/bzr_epydoc --html -o api/html --docformat 'restructuredtext en' $(docfiles)
check-api-docs:
	PYTHONPATH=$(PWD) $(PYTHON) tools/bzr_epydoc --check --docformat 'restructuredtext en' $(docfiles)

# build tags for emacs and vim
TAGS:
	ctags -R -e bzrlib

tags:
	ctags -R bzrlib

# these are treated as phony so they'll always be rebuilt - it's pretty quick
.PHONY: TAGS tags


### Documentation ###

# Default to plain documentation for maximum backwards compatibility.
# (Post 2.0, the defaults will most likely be Sphinx-style instead.)

docs: docs-plain

clean-docs: clean-plain

html-docs: html-plain


### Man-page Documentation ###

MAN_DEPENDENCIES = bzrlib/builtins.py \
	$(wildcard bzrlib/*.py) \
	$(wildcard bzrlib/*/*.py) \
	tools/generate_docs.py \
	$(wildcard $(addsuffix /*.txt, bzrlib/help_topics/en)) 

MAN_PAGES = man1/bzr.1
man1/bzr.1: $(MAN_DEPENDENCIES)
	$(PYTHON) tools/generate_docs.py -o $@ man


### Sphinx-style Documentation ###

# Build the documentation. To keep the dependencies down to a minimum
# for distro packagers, we only build the html documentation by default.
# Sphinx 0.6 or later is preferred for the best rendering, though
# Sphinx 0.4 or later should work. See http://sphinx.pocoo.org/index.html
# for installation instructions.
docs-sphinx: html-sphinx

# Clean out generated documentation
clean-sphinx:
	cd doc/en && make clean
	cd doc/es && make clean
	cd doc/ru && make clean
	cd doc/developers && make clean

SPHINX_DEPENDENCIES = \
        doc/en/release-notes/index.txt \
        doc/en/user-reference/index.txt \
	doc/es/Makefile \
	doc/es/make.bat \
	doc/ru/Makefile \
	doc/ru/make.bat \
	doc/developers/Makefile \
	doc/developers/make.bat

doc/en/user-reference/index.txt: $(MAN_DEPENDENCIES)
	$(PYTHON) tools/generate_docs.py -o $@ rstx

doc/en/release-notes/index.txt: NEWS tools/generate_release_notes.py
	$(PYTHON) tools/generate_release_notes.py NEWS $@

doc/%/Makefile: doc/en/Makefile
	$(PYTHON) -c "import shutil; shutil.copyfile('$<', '$@')"

doc/%/make.bat: doc/en/make.bat
	$(PYTHON) -c "import shutil; shutil.copyfile('$<', '$@')"

# Build the html docs using Sphinx.
html-sphinx: $(SPHINX_DEPENDENCIES)
	cd doc/en && make html
	cd doc/es && make html
	cd doc/ru && make html
	cd doc/developers && make html

# Build the PDF docs using Sphinx. This requires numerous LaTeX
# packages. See http://sphinx.pocoo.org/builders.html for details.
# Note: We don't currently build PDFs for the Russian docs because
# they require additional packages to be installed (to handle
# Russian hyphenation rules, etc.)
pdf-sphinx: $(SPHINX_DEPENDENCIES)
	cd doc/en && make latex
	cd doc/es && make latex
	cd doc/developers && make latex
	cd doc/en/_build/latex && make all-pdf
	cd doc/es/_build/latex && make all-pdf
	cd doc/developers/_build/latex && make all-pdf

# Build the CHM (Windows Help) docs using Sphinx.
# Note: HtmlHelp Workshop needs to be used on the generated hhp files
# to generate the final chm files.
chm-sphinx: $(SPHINX_DEPENDENCIES)
	cd doc/en && make htmlhelp
	cd doc/es && make htmlhelp
	cd doc/ru && make htmlhelp
	cd doc/developers && make htmlhelp


### Documentation Website ###

# Where to build the website
DOC_WEBSITE_BUILD = build_doc_website

# Build and package docs into a website, complete with downloads.
doc-website: html-sphinx pdf-sphinx
	$(PYTHON) tools/package_docs.py doc/en $(DOC_WEBSITE_BUILD)
	$(PYTHON) tools/package_docs.py doc/es $(DOC_WEBSITE_BUILD)
	$(PYTHON) tools/package_docs.py doc/ru $(DOC_WEBSITE_BUILD)
	$(PYTHON) tools/package_docs.py doc/developers $(DOC_WEBSITE_BUILD)


### Plain Documentation ###

# While Sphinx is the preferred tool for building documentation, we still
# support our "plain" html documentation so that Sphinx is not a hard
# dependency for packagers on older platforms.

rst2html = $(PYTHON) tools/rst2html.py --link-stylesheet --footnote-references=superscript --halt=warning

# translate txt docs to html
derived_txt_files = \
	doc/en/user-reference/bzr_man.txt \
	doc/en/release-notes/NEWS.txt
txt_all = \
	doc/en/tutorials/tutorial.txt \
	doc/en/tutorials/using_bazaar_with_launchpad.txt \
	doc/en/tutorials/centralized_workflow.txt \
        $(wildcard doc/es/tutorials/*.txt) \
        $(wildcard doc/ru/tutorials/*.txt) \
	$(wildcard doc/*/mini-tutorial/index.txt) \
	$(wildcard doc/*/user-guide/index-plain.txt) \
	$(wildcard doc/es/guia-usario/*.txt) \
	$(derived_txt_files) \
	doc/en/upgrade-guide/index.txt \
	doc/index.txt \
	$(wildcard doc/index.*.txt)
txt_nohtml = \
	doc/en/user-guide/index.txt \
	doc/es/user-guide/index.txt \
	doc/ru/user-guide/index.txt
txt_files = $(filter-out $(txt_nohtml), $(txt_all))
htm_files = $(patsubst %.txt, %.html, $(txt_files)) 

non_txt_files = \
       doc/default.css \
       $(wildcard doc/*/bzr-en-quick-reference.svg) \
       $(wildcard doc/*/bzr-en-quick-reference.png) \
       $(wildcard doc/*/bzr-en-quick-reference.pdf) \
       $(wildcard doc/*/bzr-es-quick-reference.svg) \
       $(wildcard doc/*/bzr-es-quick-reference.png) \
       $(wildcard doc/*/bzr-es-quick-reference.pdf) \
       $(wildcard doc/*/bzr-ru-quick-reference.svg) \
       $(wildcard doc/*/bzr-ru-quick-reference.png) \
       $(wildcard doc/*/bzr-ru-quick-reference.pdf) \
       $(wildcard doc/*/user-guide/images/*.png)

# doc/developers/*.txt files that should *not* be individually
# converted to HTML
dev_txt_nohtml = \
	doc/developers/add.txt \
	doc/developers/annotate.txt \
	doc/developers/bundle-creation.txt \
	doc/developers/commit.txt \
	doc/developers/diff.txt \
	doc/developers/directory-fingerprints.txt \
	doc/developers/gc.txt \
	doc/developers/implementation-notes.txt \
	doc/developers/incremental-push-pull.txt \
	doc/developers/index.txt \
	doc/developers/initial-push-pull.txt \
	doc/developers/merge-scaling.txt \
	doc/developers/miscellaneous-notes.txt \
	doc/developers/missing.txt \
	doc/developers/performance-roadmap-rationale.txt \
	doc/developers/performance-use-case-analysis.txt \
	doc/developers/planned-change-integration.txt \
	doc/developers/planned-performance-changes.txt \
	doc/developers/plans.txt \
	doc/developers/process.txt \
	doc/developers/revert.txt \
	doc/developers/specifications.txt \
	doc/developers/status.txt \
	doc/developers/uncommit.txt

dev_txt_all = $(wildcard $(addsuffix /*.txt, doc/developers))
dev_txt_files = $(filter-out $(dev_txt_nohtml), $(dev_txt_all))
dev_htm_files = $(patsubst %.txt, %.html, $(dev_txt_files)) 

doc/en/user-guide/index-plain.html: $(wildcard $(addsuffix /*.txt, doc/en/user-guide)) 
	$(rst2html) --stylesheet=../../default.css $(dir $@)index-plain.txt $@

#doc/es/user-guide/index.html: $(wildcard $(addsuffix /*.txt, doc/es/user-guide)) 
#	$(rst2html) --stylesheet=../../default.css $(dir $@)index.txt $@
#
#doc/ru/user-guide/index.html: $(wildcard $(addsuffix /*.txt, doc/ru/user-guide)) 
#	$(rst2html) --stylesheet=../../default.css $(dir $@)index.txt $@
#
doc/developers/%.html: doc/developers/%.txt
	$(rst2html) --stylesheet=../default.css $< $@

doc/index.html: doc/index.txt
	$(rst2html) --stylesheet=default.css $< $@

doc/index.%.html: doc/index.%.txt
	$(rst2html) --stylesheet=default.css $< $@

%.html: %.txt
	$(rst2html) --stylesheet=../../default.css $< $@

doc/en/user-reference/bzr_man.txt: $(MAN_DEPENDENCIES)
	$(PYTHON) tools/generate_docs.py -o $@ rstx

doc/en/release-notes/NEWS.txt: NEWS
	$(PYTHON) -c "import shutil; shutil.copyfile('$<', '$@')"

upgrade_guide_dependencies =  $(wildcard $(addsuffix /*.txt, doc/en/upgrade-guide)) 

doc/en/upgrade-guide/index.html: $(upgrade_guide_dependencies)
	$(rst2html) --stylesheet=../../default.css $(dir $@)index.txt $@

derived_web_docs = $(htm_files) $(dev_htm_files) 
WEB_DOCS = $(derived_web_docs) $(non_txt_files)
ALL_DOCS = $(derived_web_docs) $(MAN_PAGES)

# the main target to build all the docs
docs-plain: $(ALL_DOCS)

# produce a tree containing just the final docs, ready for uploading to the web
HTMLDIR = html_docs
html-plain: docs-plain
	$(PYTHON) tools/win32/ostools.py copytree $(WEB_DOCS) $(HTMLDIR)

# clean produced docs
clean-plain:
	$(PYTHON) tools/win32/ostools.py remove $(ALL_DOCS) \
	    $(HTMLDIR) $(derived_txt_files)


### Miscellaneous Documentation Targets ###

# build a png of our performance task list
# this is no longer built by default; you can build it if you want to look at it
doc/developers/performance.png: doc/developers/performance.dot
	@echo Generating $@
	@dot -Tpng $< -o$@ || echo "Dot not installed; skipping generation of $@"


### Windows Support ###

# make all the installers completely from scratch, using zc.buildout
# to fetch the dependencies
# These are files that need to be copied into the build location to boostrap
# the build process.
# Note that the path is relative to tools/win32
BUILDOUT_FILES = buildout.cfg \
	buildout-templates/bin/build-installer.bat.in \
	ostools.py bootstrap.py

installer-all:
	@echo Make all the installers from scratch
	@# Build everything in a separate directory, to avoid cluttering the WT
	$(PYTHON) tools/win32/ostools.py makedir build-win32
	@# cd to tools/win32 so that the relative paths are copied correctly
	cd tools/win32 && $(PYTHON) ostools.py copytree $(BUILDOUT_FILES) ../../build-win32
	@# There seems to be a bug in gf.release.bzr, It doesn't correctly update
	@# existing release directories, so delete them manually before building
	@# It means things may be rebuilt that don't need to be, but at least
	@# it will be correct when they do.
	cd build-win32 && $(PYTHON) ostools.py remove release */release
	cd build-win32 && $(PYTHON) bootstrap.py
	cd build-win32 && bin/buildout
	cd build-win32 && bin/build-installer.bat $(BZR_TARGET) $(PLUGIN_TARGET)


clean-installer-all:
	$(PYTHON) tools/win32/ostools.py remove build-win32

# make bzr.exe for win32 with py2exe
exe:
	@echo *** Make bzr.exe
	$(PYTHON) tools/win32/ostools.py remove bzrlib/*.pyd
	$(PYTHON) setup.py build_ext -i -f $(PYTHON_BUILDFLAGS)

=== doc/en/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/Bazaar.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/Bazaar.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

## bzr 2.0.3

=== Makefile ===
--- 
+++ 
@@ -116,6 +116,7 @@
 clean-sphinx:
 	cd doc/en && make clean
 	cd doc/es && make clean
+	cd doc/ja && make clean
 	cd doc/ru && make clean
 	cd doc/developers && make clean
 
@@ -124,6 +125,8 @@
         doc/en/user-reference/index.txt \
 	doc/es/Makefile \
 	doc/es/make.bat \
+	doc/ja/Makefile \
+	doc/ja/make.bat \
 	doc/ru/Makefile \
 	doc/ru/make.bat \
 	doc/developers/Makefile \
@@ -146,6 +149,7 @@
 	cd doc/en && make html
 	cd doc/es && make html
 	cd doc/ru && make html
+	cd doc/ja && make html
 	cd doc/developers && make html
 
 # Build the PDF docs using Sphinx. This requires numerous LaTeX
@@ -156,6 +160,7 @@
 pdf-sphinx: $(SPHINX_DEPENDENCIES)
 	cd doc/en && make latex
 	cd doc/es && make latex
+	cd doc/ja && make latex
 	cd doc/developers && make latex
 	cd doc/en/_build/latex && make all-pdf
 	cd doc/es/_build/latex && make all-pdf
@@ -168,6 +173,7 @@
 	cd doc/en && make htmlhelp
 	cd doc/es && make htmlhelp
 	cd doc/ru && make htmlhelp
+	cd doc/ja && make htmlhelp
 	cd doc/developers && make htmlhelp
 
 
@@ -181,6 +187,7 @@
 	$(PYTHON) tools/package_docs.py doc/en $(DOC_WEBSITE_BUILD)
 	$(PYTHON) tools/package_docs.py doc/es $(DOC_WEBSITE_BUILD)
 	$(PYTHON) tools/package_docs.py doc/ru $(DOC_WEBSITE_BUILD)
+	$(PYTHON) tools/package_docs.py doc/ja $(DOC_WEBSITE_BUILD)
 	$(PYTHON) tools/package_docs.py doc/developers $(DOC_WEBSITE_BUILD)
 
 
@@ -201,7 +208,10 @@
 	doc/en/tutorials/using_bazaar_with_launchpad.txt \
 	doc/en/tutorials/centralized_workflow.txt \
         $(wildcard doc/es/tutorials/*.txt) \
-        $(wildcard doc/ru/tutorials/*.txt) \
+		$(wildcard doc/ru/tutorials/*.txt) \
+	doc/ja/tutorials/tutorial.txt \
+	doc/ja/tutorials/using_bazaar_with_launchpad.txt \
+	doc/ja/tutorials/centralized_workflow.txt \
 	$(wildcard doc/*/mini-tutorial/index.txt) \
 	$(wildcard doc/*/user-guide/index-plain.txt) \
 	$(wildcard doc/es/guia-usario/*.txt) \
@@ -212,6 +222,7 @@
 txt_nohtml = \
 	doc/en/user-guide/index.txt \
 	doc/es/user-guide/index.txt \
+	doc/ja/user-guide/index.txt \
 	doc/ru/user-guide/index.txt
 txt_files = $(filter-out $(txt_nohtml), $(txt_all))
 htm_files = $(patsubst %.txt, %.html, $(txt_files)) 
@@ -344,14 +355,3 @@
 	cd build-win32 && $(PYTHON) ostools.py remove release */release
 	cd build-win32 && $(PYTHON) bootstrap.py
 	cd build-win32 && bin/buildout
-	cd build-win32 && bin/build-installer.bat $(BZR_TARGET) $(PLUGIN_TARGET)
-
-
-clean-installer-all:
-	$(PYTHON) tools/win32/ostools.py remove build-win32
-
-# make bzr.exe for win32 with py2exe
-exe:
-	@echo *** Make bzr.exe
-	$(PYTHON) tools/win32/ostools.py remove bzrlib/*.pyd
-	$(PYTHON) setup.py build_ext -i -f $(PYTHON_BUILDFLAGS)

## bzr 2.1.1

=== debian/changelog ===
bzr (2.1.1-1) unstable; urgency=low

  * Remove bob2 from uploaders. Closes: #573427
  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 24 Mar 2010 22:27:38 +0100

bzr (2.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 17 Feb 2010 17:47:40 +0100

bzr (2.1.0~rc2-1) experimental; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump standards version to 3.8.4.
  * Remove embedded copy of python-configobj. Closes: #555336
  * Remove embedded copy of python-elementtree. Closes: #555343

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 05 Feb 2010 13:53:30 +0100

bzr (2.0.4-1) unstable; urgency=low

  [ Andrew Starr-Bochicchio ]
  * debian/control: Fix obsolete-relation-form-in-source
    lintian warning. 

  [ John Francesco Ferlito ]
  * New upstream release.

 -- John Francesco Ferlito <johnf@inodes.org>  Mon, 25 Jan 2010 19:53:02 +1100

bzr (2.0.3-1) unstable; urgency=low

  * New upstream release.

 -- John Francesco Ferlito <johnf@inodes.org>  Wed, 16 Dec 2009 21:43:42 +1100

bzr (2.0.2-1) unstable; urgency=low

  * New upstream release.

 -- John Francesco Ferlito <johnf@inodes.org>  Wed, 04 Nov 2009 22:47:44 +1100

bzr (2.0.1-1) unstable; urgency=low

  * New upstream release.
  * Split out docs into bzr-doc package.

 -- John Francesco Ferlito <johnf@inodes.org>  Fri, 16 Oct 2009 22:52:14 +1100

bzr (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Added John Francesco Ferlito to Uploaders.
  * Fix install path to quick-reference guide

 -- John Francesco Ferlito <johnf@inodes.org>  Fri, 25 Sep 2009 13:30:35 +1000

bzr (1.18-1) unstable; urgency=low

  [ James Westby ]
  * New upstream release.

  [ Jelmer Vernooij ]
  * Bump standards version to 3.8.3.
  * Remove unused patch system.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 08 Sep 2009 14:14:23 +0200

bzr (1.17-1) unstable; urgency=low

  * New upstream release.
   + Fixes compatibility with Python 2.4. Closes: #537708

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 21 Jul 2009 11:25:12 +0200

bzr (1.17~rc1-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version to 3.8.2.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 14 Jul 2009 00:52:47 +0200

bzr (1.16-1) unstable; urgency=low

  * New upstream release.
  * Add python-pyrex to build-deps to ensure C extensions are always build.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 18 Jun 2009 13:08:56 +0200

bzr (1.15-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 29 May 2009 10:19:30 +0200

bzr (1.15~rc1-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 16 May 2009 13:51:08 +0200

bzr (1.14-2) unstable; urgency=low

  * Fix API compatibility version. (Closes: #526233)

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 30 Apr 2009 20:40:24 +0200

bzr (1.14-1) unstable; urgency=low

  * New upstream release.
    + Fixes default format for upgrade command. (Closes: #464688)

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 29 Apr 2009 19:56:21 +0200

bzr (1.14~rc1-2) unstable; urgency=low

  * Add missing dependency on zlib development library. (Closes:
    #523595)

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 11 Apr 2009 14:25:12 +0200

bzr (1.14~rc1-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 08 Apr 2009 22:31:48 +0200

bzr (1.13.1-1) unstable; urgency=low

  * New upstream release.
  * Move to section vcs.
  * Bump standards version to 3.8.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 19 Mar 2009 18:16:35 +0100

bzr (1.13~rc1-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 10 Mar 2009 14:11:59 +0100

bzr (1.12-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 14 Feb 2009 00:24:06 +0100

bzr (1.12~rc1-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 10 Feb 2009 21:45:04 +0100

bzr (1.11-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 19 Jan 2009 16:01:04 +0100

bzr (1.11~rc1-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 13 Jan 2009 16:52:58 +0100

bzr (1.10-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 16 Dec 2008 22:46:54 +0100

bzr (1.10~rc1-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Fri, 28 Nov 2008 16:50:05 +0100

bzr (1.9-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Fri, 07 Nov 2008 14:12:23 +0100

bzr (1.9~rc1-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Sat, 01 Nov 2008 21:22:45 +0100

bzr (1.8~rc1-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 08 Oct 2008 12:32:01 +0200

bzr (1.7.1-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Thu, 02 Oct 2008 01:58:58 +0200

bzr (1.7.1~rc1-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 30 Sep 2008 23:14:23 +0200

bzr (1.7-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 24 Sep 2008 16:03:44 +0200

bzr (1.6.1-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Fri, 05 Sep 2008 23:19:34 +0200

bzr (1.6.1~rc1-1) experimental; urgency=low

  * New upstream release.
  * Recommend ca-certificates. (Closes: #452024)

 -- Jelmer Vernooij <jelmer@samba.org>  Sat, 30 Aug 2008 04:34:17 +0200

bzr (1.6-1) experimental; urgency=low

  * New upstream release.



=== debian/control ===
Source: bzr
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jeff Bailey <jbailey@raspberryginger.com>, Wouter van Heyst <larstiq@larstiq.dyndns.org>, Reinhard Tartler <siretart@tauware.de>, Jelmer Vernooij <jelmer@debian.org>, John Francesco Ferlito <johnf@inodes.org>
Build-Depends: debhelper (>> 5.0.0), cdbs, python, python-all-dev, python-central, python-docutils, graphviz, zlib1g-dev, python-pyrex
Standards-Version: 3.8.4
XS-Python-Version: >= 2.4
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr/unstable
Homepage: http://bazaar-vcs.org
Dm-Upload-Allowed: yes

Package: bzr
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, python (>> 2.5) | python-celementtree | python-elementtree, python-configobj, ${misc:Depends}
Recommends: bzrtools, python-paramiko, ca-certificates
Suggests: bzr-gtk, bzr-svn, python-pycurl, xdg-utils, python-kerberos (>= 1.0+svn2455-1), bzr-doc
XB-Python-Version: ${python:Versions}
Description: easy to use distributed version control system
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 Publishing of branches can be done over plain HTTP, that is, no special
 software is needed on the server to host Bazaar branches. Branches can
 be pushed to the server via sftp (which most SSH instalations come
 with), FTP, or over a custom and faster protocol if bzr is installed in
 the remote end.
 .
 Merging in Bazaar is easy, as the implementation is able to avoid many
 spurious conflicts, deals well with repeated merges between branches,
 and is able to handle modifications to renamed files correctly.
 .
 Bazaar is written in Python, and has a flexible plugin interface which
 can be used to extend its functionality. Many plugins exist, providing
 useful commands (bzrtools), graphical interfaces (bzr-gtk), or native
 interaction with Subversion branches (bzr-svn).
 .
 Install python-paramiko if you are going to push branches to remote
 hosts with sftp, and python-pycurl if you'd like for SSL certificates
 always to be verified.

Package: bzr-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: bzr
Conflicts: bzr (<< 2.0.1)
Description: easy to use distributed version control system (documentation)
 Bazaar is a distributed version control system designed to be easy to
 use and intuitive, able to adapt to many workflows, reliable, and
 easily extendable.
 .
 Publishing of branches can be done over plain HTTP, that is, no special
 software is needed on the server to host Bazaar branches. Branches can
 be pushed to the server via sftp (which most SSH instalations come
 with), FTP, or over a custom and faster protocol if bzr is installed in
 the remote end.
 .
 Merging in Bazaar is easy, as the implementation is able to avoid many
 spurious conflicts, deals well with repeated merges between branches,
 and is able to handle modifications to renamed files correctly.
 .
 Bazaar is written in Python, and has a flexible plugin interface which
 can be used to extend its functionality. Many plugins exist, providing
 useful commands (bzrtools), graphical interfaces (bzr-gtk), or native
 interaction with Subversion branches (bzr-svn).
 .
 Install python-paramiko if you are going to push branches to remote
 hosts with sftp, and python-pycurl if you'd like for SSL certificates
 always to be verified.
 .
 This package provides the documentation.

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/b/~b/" \
https://launchpad.net/bzr/+download http://launchpad.net/bzr/.*/bzr-(.+).tar.gz

## bzr 2.1.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2008, 2009 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -40,8 +40,6 @@
 
 check-nodocs: extensions
 	$(PYTHON) -Werror -O ./bzr selftest -1v $(tests)
-	@echo "Running all tests with no locale."
-	LC_CTYPE= LANG=C LC_ALL= ./bzr selftest -1v $(tests) 2>&1 | sed -e 's/^/[ascii] /'
 
 # Run Python style checker (apt-get install pyflakes)
 #
@@ -201,7 +199,6 @@
 
 # translate txt docs to html
 derived_txt_files = \
-	doc/en/user-reference/bzr_man.txt \
 	doc/en/release-notes/NEWS.txt
 txt_all = \
 	doc/en/tutorials/tutorial.txt \
@@ -214,6 +211,7 @@
 	doc/ja/tutorials/centralized_workflow.txt \
 	$(wildcard doc/*/mini-tutorial/index.txt) \
 	$(wildcard doc/*/user-guide/index-plain.txt) \
+	doc/en/admin-guide/index-plain.txt \
 	$(wildcard doc/es/guia-usario/*.txt) \
 	$(derived_txt_files) \
 	doc/en/upgrade-guide/index.txt \
@@ -223,7 +221,8 @@
 	doc/en/user-guide/index.txt \
 	doc/es/user-guide/index.txt \
 	doc/ja/user-guide/index.txt \
-	doc/ru/user-guide/index.txt
+	doc/ru/user-guide/index.txt \
+	doc/en/admin-guide/index.txt
 txt_files = $(filter-out $(txt_nohtml), $(txt_all))
 htm_files = $(patsubst %.txt, %.html, $(txt_files)) 
 
@@ -281,6 +280,9 @@
 #doc/ru/user-guide/index.html: $(wildcard $(addsuffix /*.txt, doc/ru/user-guide)) 
 #	$(rst2html) --stylesheet=../../default.css $(dir $@)index.txt $@
 #
+doc/en/admin-guide/index-plain.html: $(wildcard $(addsuffix /*.txt, doc/en/admin-guide)) 
+	$(rst2html) --stylesheet=../../default.css $(dir $@)index-plain.txt $@
+
 doc/developers/%.html: doc/developers/%.txt
 	$(rst2html) --stylesheet=../default.css $< $@
 
@@ -292,9 +294,6 @@
 
 %.html: %.txt
 	$(rst2html) --stylesheet=../../default.css $< $@
-
-doc/en/user-reference/bzr_man.txt: $(MAN_DEPENDENCIES)
-	$(PYTHON) tools/generate_docs.py -o $@ rstx
 
 doc/en/release-notes/NEWS.txt: NEWS
 	$(PYTHON) -c "import shutil; shutil.copyfile('$<', '$@')"

=== doc/en/Makefile ===
--- 
+++ 
@@ -10,6 +10,22 @@
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
+
+# Note that this assumes name of the output dir is same as name of the rule.
+define make_output_dirs
+# Create output directory (only needed for sphinx < 0.5)
+[ -d _build ] || mkdir _build
+[ -d "_build/$@" ] || mkdir "_build/$@"
+# Workaround for a bug in sphinx < 0.5 where it tries to delete
+# nonexistent static dirs and does not catch the exception.  This was
+# fixed in svn+ssh://pythondev@svn.python.org/doctools/branches/0.4.x
+# at r65551 and merged as 280b62246342 in hg branch released as 0.5.
+[ -d "_build/$@/_static" ] || mkdir "_build/$@/_static"
+for fn in _static/*; do \
+    [ ! -d "$$fn" ] && continue; \
+    [ -d "_build/$@/$$fn" ] || mkdir "_build/$@/$$fn"; \
+done
+endef
 
 .PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest
 
@@ -30,32 +46,38 @@
 	-rm -rf _build/*
 
 html:
+	$(make_output_dirs)
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html."
 
 dirhtml:
+	$(make_output_dirs)
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
 	@echo
 	@echo "Build finished. The HTML pages are in _build/dirhtml."
 
 pickle:
+	$(make_output_dirs)
 	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
 	@echo
 	@echo "Build finished; now you can process the pickle files."
 
 json:
+	$(make_output_dirs)
 	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
 	@echo
 	@echo "Build finished; now you can process the JSON files."
 
 htmlhelp:
+	$(make_output_dirs)
 	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
 	@echo
 	@echo "Build finished; now you can run HTML Help Workshop with the" \
 	      ".hhp project file in _build/htmlhelp."
 
 qthelp:
+	$(make_output_dirs)
 	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
@@ -65,6 +87,7 @@
 	@echo "# assistant -collectionFile _build/qthelp/Bazaar.qhc"
 
 latex:
+	$(make_output_dirs)
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in _build/latex."
@@ -72,17 +95,20 @@
 	      "run these through (pdf)latex."
 
 changes:
+	$(make_output_dirs)
 	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
 	@echo
 	@echo "The overview file is in _build/changes."
 
 linkcheck:
+	$(make_output_dirs)
 	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
 	@echo
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in _build/linkcheck/output.txt."
 
 doctest:
+	$(make_output_dirs)
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in _build/doctest/output.txt."

=== debian/changelog ===
bzr (2.1.2-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 27 May 2010 21:58:49 +0200

bzr (2.1.1-1.1) unstable; urgency=low

  * Non-maintainer upload with Jelmer's permission.
  * Backport fix from bzr 2.2 that makes bzr-git and bzr-svn operations
    work reliably again.  Closes: #582033

 -- Steve Langasek <vorlon@debian.org>  Mon, 17 May 2010 13:48:25 -0700

## bzr 2.1.4

=== Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 check: docs check-nodocs
 
 check-nodocs: extensions
-	$(PYTHON) -Werror -O ./bzr selftest -1v $(tests)
+	$(PYTHON) -Werror -Wignore::ImportWarning -O ./bzr selftest -1v $(tests)
 
 # Run Python style checker (apt-get install pyflakes)
 #

=== debian/changelog ===
bzr (2.1.4-0ubuntu1) lucid-proposed; urgency=low

  * Update watch file to use 2.1 series.
  * New upstream release.
   + Fix file descriptors leaks in dirstate compiled extension. LP: #583486
   + Refuse to stack on repositories in incompatible formats. LP: #562380
   + Don't delete nested trees/repos. LP: #572098
   + Fix 'bzr switch' crash when a 'ConfigurableFileMerger' is used. LP: #559436
   + Fix compatibility with older smart servers. LP: #528041
   + Fix symlinks addition. LP: #192859
   + Properly unversion children of unversioned directories. LP: #494221
   + Lock configuration files in '~/.bazaar' for updates. LP: #525571
   + Fix 'bzr commit <symlink>'. LP: #128562
   + Fix `lp:` urls when behind an http proxy. LP: #558343
   + Stop using edge.launchpad.net. LP: #583667

 -- Max Bowsher <_@maxb.eu>  Tue, 17 May 2011 09:54:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bzr
 Section: vcs
 Priority: optional
-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Jeff Bailey <jbailey@raspberryginger.com>, Wouter van Heyst <larstiq@larstiq.dyndns.org>, Reinhard Tartler <siretart@tauware.de>, Jelmer Vernooij <jelmer@debian.org>, John Francesco Ferlito <johnf@inodes.org>
 Build-Depends: debhelper (>> 5.0.0), cdbs, python, python-all-dev, python-central, python-docutils, graphviz, zlib1g-dev, python-pyrex
 Standards-Version: 3.8.4

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM = pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_PYTHON_INSTALL_ARGS_ALL += --install-data=/usr/share
DEB_PYTHON_BUILD_ARGS += --executable "/usr/bin/python"
DEB_COMPRESS_EXCLUDE += .svg .pdf

clean::
	$(MAKE) clean-docs
	rm -f bzr.1 debian/stamp-doc

ifneq (,$(findstring test,$(DEB_BUILD_OPTIONS)))
common-post-build-indep::
	./bzr selftest --no-plugins
endif

build/bzr:: debian/stamp-doc

debian/stamp-doc:
	$(MAKE) docs
	touch $@

install/bzr-doc::
# Install the documentation; since html and txt and intermixed
# under doc/, this is handier than trying to do it from bzr-doc.install. 
	for ext in txt html; do \
	    ( cd doc && find -name "*.$$ext" -print0 ) | \
	    	xargs -r0 -i'{}' -n1 install -D -m 644 'doc/{}' \
	    	"debian/bzr-doc/usr/share/doc/bzr/$$ext/{}"; \
	done
# Install images as well
	( cd doc && find -name "*.png" -print0 ) | \
	    xargs -r0 -i'{}' -n1 install -D -m 644 'doc/{}' \
	    "debian/bzr-doc/usr/share/doc/bzr/html/{}"

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/b/~b/" \
https://launchpad.net/bzr/2.1 http://launchpad.net/bzr/.*/bzr-(.+).tar.gz

## bzr 2.2.0

=== Makefile ===
--- 
+++ 
@@ -39,7 +39,10 @@
 check: docs check-nodocs
 
 check-nodocs: extensions
-	$(PYTHON) -Werror -Wignore::ImportWarning -O ./bzr selftest -1v $(tests)
+	# Generate a stream for PQM to watch.
+	$(PYTHON) -Werror -O ./bzr selftest --subunit $(tests) | tee selftest.log
+	# Check that there were no errors reported.
+	subunit-stats < selftest.log
 
 # Run Python style checker (apt-get install pyflakes)
 #
@@ -351,6 +354,3 @@
 	@# existing release directories, so delete them manually before building
 	@# It means things may be rebuilt that don't need to be, but at least
 	@# it will be correct when they do.
-	cd build-win32 && $(PYTHON) ostools.py remove release */release
-	cd build-win32 && $(PYTHON) bootstrap.py
-	cd build-win32 && bin/buildout

=== debian/changelog ===
bzr (2.2.0-1) unstable; urgency=low

  * New upstream release.
   + Adds support for setting timestamps to originating revisions.
     Closes: #473450
   + Removes remaining string exception. Closes: #585193, LP: #586926
   + Add C extension to work around Python issue 1628205. LP: #583941,
     Closes: #577110
   + Avoids showing progress bars when --quiet is used. Closes: #542105,
     LP: #320035
   + No longer creates ~/.bazaar as root when run under sudo. LP: #376388
   + 'bzr commit' now supports -p as alternative for --show-diff. LP: #571467
   + 'bzr add' no longer adds .THIS/.BASE/.THEIRS files unless
     explicitly requested. LP: #322767
   + When parsing patch files, Bazaar now supports diff lines before each
     patch. LP: #502076
   + WorkingTrees now no longer requires using signal.signal, so can
     be used in a threaded environment. LP: #521989
   + An assertion error is no longer triggered when pushing to a pre-1.6
     Bazaar server. LP: #528041
  * Bump standards version to 3.9.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 07 Aug 2010 00:54:52 +0200

bzr (2.2.0~b4-1) experimental; urgency=low

  * New upstream beta.
  * Bump standards version to 3.9.0.
  * Drop build dependency on zlib.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 21 Jul 2010 01:02:00 +0200

bzr (2.2.0~b2-1) experimental; urgency=low

  * New upstream release.
  * Recommend python-launchpadlib. Closes: #568937

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 21 May 2010 19:56:07 +0200

bzr (2.1.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix access via http_proxy. Closes: #588430 

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Jul 2010 19:14:08 -0400

## bzr 2.2.4

=== debian/changelog ===
bzr (2.2.4-0ubuntu1) maverick-proposed; urgency=low

  [ Jelmer Vernooij ]
  * Update watch file to use 2.2 series.
  * New upstream release.
   + Fixes closing of leaked sockets to SSH subprocesses, which causes
     dput sftp uploads to hang. LP: #659590
   + Fixes the use of 'lp:' urls behind a http proxy. LP: #558343
   + Correctly sets the Content-Type header when http POSTing to comply 
     with stricter web frameworks. LP: #665100
   + Fixes propagating tags to the master branch in a bound branch or
     heavyweight checkout. LP: #603395
   + Fixes the use of 'bzr resolve --take-other' if the file is
     involved in an unresolved text conflict. LP: #646961
   + Fixes https access with newer versions of python2.7. LP: #693880
   + Fixes crash during pack caused by a concurrent repository pack
     operation. LP: #701940
   + Fixes communication with the Launchpad web service when using
     launchpadlib >= 1.5.5. LP: #707075
   + Switches away from deprecated 'edge.launchpad.net' LP: #583667
   + Fixes resolving of content (and path) conflicts for files in subdirs.
     LP: #660935
   + Fixes nasty recursion loop while displaying branch opening error.
     LP: #687653

  [ Martin Pool ]
  * Propose for maverick SRU.

 -- Martin Pool <mbp@sourcefrog.net>  Thu, 07 Apr 2011 15:30:17 +1000

bzr (2.2.1-0ubuntu1) maverick-proposed; urgency=low

  * New upstream release.
   + Fix regression with upgrading poor-root to rich-root formats. LP: #636930
   + Files in ~/.bazaar are now locked whilst being updated automatically.
     LP: #525571

 -- Max Bowsher <maxb@f2s.com>  Thu, 30 Sep 2010 09:57:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: bzr
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
+Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Jeff Bailey <jbailey@raspberryginger.com>, Wouter van Heyst <larstiq@larstiq.dyndns.org>, Reinhard Tartler <siretart@tauware.de>, Jelmer Vernooij <jelmer@debian.org>, John Francesco Ferlito <johnf@inodes.org>
-Build-Depends: debhelper (>> 5.0.0), cdbs, python, python-all-dev, python-central, python-docutils, graphviz, zlib1g-dev, python-pyrex
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>> 5.0.0), cdbs, python, python-all-dev, python-central, python-docutils, graphviz, python-pyrex
+Standards-Version: 3.9.1
 XS-Python-Version: >= 2.4
 Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr/unstable
 Homepage: http://bazaar-vcs.org

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,6 @@
 
 clean::
 	$(MAKE) clean-docs
-	rm -f bzr.1 debian/stamp-doc
 
 ifneq (,$(findstring test,$(DEB_BUILD_OPTIONS)))
 common-post-build-indep::

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/b/~b/;s/^/2.2./" \
https://launchpad.net/bzr/+download http://launchpad.net/bzr/.*/bzr-2.2.(.+).tar.gz
